//
//  DFIDBox.h
//  MyMySpaceMail
//
//  Created by finucane on 12/18/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "DFProfileReader.h"
#import "DFMySpaceLogin.h"
#import "AppController.h"

@class DFAddressBook;

@interface DFIDBox : NSWindowController
{
  IBOutlet NSTextField*textField;
  IBOutlet NSButton*okButton;
  IBOutlet NSProgressIndicator*progressIndicator;
  DFAddressBook*addressBook;
  AppController*appController;
  DFProfileReader*profileReader;
  DFMySpaceLogin*login;
  BOOL busy;
}

- (id) initWithAddressBook:(DFAddressBook*)addressBook appController:(AppController*)anAppController;
- (IBAction) ok:(id)sender;
- (void) selectTextField;
- (void) didGetProfile:(DFProfileReader*)reader withError:(NSError*)error;

@end
